# Recalculate Items of a Parallel Calculation Executes a recalculation of the item as a background task (JST) with the id of the last calculation JST (copies calculation results from the previous JST). Use a filter in your request to specify items with CREATED or FAILED status. Cannot be used on items with the CALCULATED status. Fails if called for anything else than a Parallel Calculation. Returns two elements within the data array – the JST (Job Status Tracker) object (the calculation status of the newly created calculation) and the updated ModelObject object. Endpoint: POST /optimization.modelcalcexec/{typedId}/{stepName}/{calcName}/item Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) The typedId of the Model Object you want to recalculate the step for. Example: "123.MO" - `stepName` (string, required) Enter the name of the step you want to calculate. Enum: "definition", "configuration", "results", "projections", "parallel" - `calcName` (string, required) The name of the calculation you want to recalculate. ## Request fields (application/json): - `data` (object, required) - `data.criteria` (array, required) - `data.criteria._constructor` (string, required) - `data.criteria.operator` (string, required) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.step` (string) - `response.data.totalJobsCount` (integer) - `response.data.jobs` (array) - `response.data.jobs.version` (integer) - `response.data.jobs.typedId` (string) - `response.data.jobs.processingNode` (any) - `response.data.jobs.threadId` (any) - `response.data.jobs.threadUUID` (any) - `response.data.jobs.status` (string) - `response.data.jobs.trackerType` (string) - `response.data.jobs.targetObject` (string) - `response.data.jobs.jobName` (string) - `response.data.jobs.concurrencyKey` (string) - `response.data.jobs.calculationContext` (string) - `response.data.jobs.progress` (any) - `response.data.jobs.cancelRequested` (boolean) - `response.data.jobs.runNumber` (integer) - `response.data.jobs.priority` (integer) - `response.data.jobs.messages` (any) - `response.data.jobs.jobSettings` (object) - `response.data.jobs.jobSettings.distributedAction` (any) - `response.data.jobs.jobSettings.jobType` (string) - `response.data.jobs.jobSettings.uuid` (string) - `response.data.jobs.jobSettings.calculableObjectTypedId` (string) - `response.data.jobs.jobSettings.queueName` (string) - `response.data.jobs.jobSettings.partitionName` (string) - `response.data.jobs.jobSettings.partitionUUID` (string) - `response.data.jobs.jobSettings.enableDirtyTracking` (boolean) - `response.data.jobs.jobSettings.agentOption1` (boolean) - `response.data.jobs.jobSettings.jobSize` (integer) - `response.data.jobs.jobSettings.distributed` (boolean) - `response.data.jobs.createDate` (string) - `response.data.jobs.createdBy` (integer) - `response.data.jobs.lastUpdateDate` (string) - `response.data.jobs.lastUpdateBy` (integer) - `response.data.jobs.parameters` (any) - `response.data.jobs.calculationResults` (any) - `response.data.jobs.processingStart` (any) - `response.data.jobs.processingEnd` (any) - `response.data.jobs.id` (integer) - `response.data.uniqueName` (string) - `response.data.label` (string) - `response.data.modelClassUN` (string) - `response.data.currentStep` (string) - `response.data.state` (object) - `response.data.state.two_tabs` (object) - `response.data.state.two_tabs.tab1` (object) - `response.data.state.two_tabs.tab1.Data` (string) - `response.data.state.two_tabs.tab1.QueryFail` (boolean) - `response.data.state.two_tabs.tab1.OptionEntry` (string) - `response.data.state.two_tabs.tab1.StringEntry` (string) - `response.data.state.two_tabs.tab1.FailItemInParallel` (string) - `response.data.state.two_tabs.tab2` (object) - `response.data.state.two_tabs.tab2.MatrixEntry` (array) - `response.data.state.two_tabs.tab2.MatrixEntry.col1` (string) - `response.data.state.two_tabs.tab2.MatrixEntry.col2` (string) - `response.data.state.two_tabs.tab2.MatrixEntry.selected` (boolean) - `response.data.createdByName` (string) - `response.data.lastUpdateByName` (string) - `response.data.submittedBy` (any) - `response.data.submittedByName` (any) - `response.data.approvedBy` (any) - `response.data.approvedByName` (any) - `response.data.deniedBy` (any) - `response.data.deniedByName` (any) - `response.data.submitDate` (any) - `response.data.workflowStatus` (string)